Name: kdegraphics
Summary: K Desktop Environment - Graphic Applications
Prefix: %{_prefix}/kde
Version: 2.1
Release: 2
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/distribution/tar/generic/source/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
Group: Applications/Graphics
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: GPL
Requires: kdelibs

%description
Graphic applications for the K Desktop Environment.

Included with this package are:

kdvi: displays TeX's device independent (.dvi) files
kfax: displays fax files
kfract: a fractal generator
kghostview: displays postscript (.ps) files
kpaint: a simple drawing program
kview: displays numerous graphic file formats

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p2 -b .aix

# Deoptimize.  Temporary until compiler is in better shape.
for file in `find . -print | xargs grep -l '\-O2'`; do
  cp $file $file.withO2
  sed -e 's/\-O2/-O0/g' < $file.withO2 > $file
done

# Crudely force all link activity to see the rpm build dir.
# Without this, 'make install' will fail while relinking, looking in %{prefix}/lib.
for file in `find . -name "ltmain.sh" -print`; do
  if test "$file" != "./kdvi/kpathsea/ltmain.sh"; then
    cp $file $file.nonrelocatable
    sed -e "s|\$wl-brtl|-L$RPM_BUILD_ROOT%{prefix}/lib \$wl-brtl|g" $file > $file.tmp
    mv $file.tmp $file
  fi
done
for file in `find . -name "ltcf-c*.sh" -print`; do
  cp $file $file.nonrelocatable
  sed -e "s|\${wl}-G|-L$RPM_BUILD_ROOT%{prefix}/lib \${wl}-G|g" $file.nonrelocatable > $file
done


%build
export KDEDIR=%{prefix}
export QTDIR=%{_prefix}/qt
CFLAGS="-DNO_DEBUG -DNDEBUG" CXXFLAGS="-DNO_DEBUG -DNDEBUG" ./configure \
	--prefix=%{prefix} --disable-debug --enable-final
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# Stripping decreases size a lot!
/usr/bin/strip $RPM_BUILD_ROOT%{prefix}/bin/* || :
/usr/bin/strip $RPM_BUILD_ROOT%{prefix}/lib/*.so || :

mkdir -p $RPM_BUILD_ROOT/usr
ln -sf ..%{prefix} $RPM_BUILD_ROOT/usr
chmod a+x $RPM_BUILD_ROOT%{prefix}/lib/*

cd $RPM_BUILD_ROOT
find .%{prefix} -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config |' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

echo "%docdir %{prefix}/share/doc" >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Tue Mar 13 2001 Marc Stephenson <marc@austin.ibm.com>
- Filter /usr from directory listings
- Rebuild against new shared objects
- Clean install directory

* Fri Mar  2 2001 pkgmgr <pkgmgr@austin.ibm.com>
- 2.1

* Thu Dec 21 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Thu May 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.90
